/*
Theme Name: Divi Child Theme
Theme URI:millalux.es
Description: Divi Child Theme
Author: Divi Ready Themes
Author URI: https://divireadythemes.com/
Template: Divi
Version: Updated for Divi 3+
*/

/*------------------------------------------------*/
/*---------------- [GENERAL] ---------------------*/
/*------------------------------------------------*/
/*--- VARIABLES ---*/
:root {
    --color-naranja: #F19201;
    --color-gris-1: #dedede;
    --color-gris-2: #323231;
    --color-negro: #1A1819;
    --color-blanco: #FFFFFF;
}

@media screen and (max-width: 980px) {
    .reverse {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
}

@media (min-width: 981px) {

    .img-cover,
    .img-cover span,
    .img-cover span img {
        -o-object-fit: cover;
        object-fit: cover;
        width: 100% !important;
        height: 100%;
        overflow: hidden;
        display: block;
    }
}

.joinchat__button{
	background:var(--color-naranja);
}

/*------------------------------------------------*/
/*---------------- [TIPOGRAFIA] ------------------*/
/*------------------------------------------------*/
html {
    font-size: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 900;
    text-transform: uppercase;
}

.et-boc h1,
#et-boc .et_pb_post_title .et_pb_title_container h1.entry-title,
.et-boc .subtitle-h1 {
    font-size: clamp(2.25rem, calc(2.25rem + ((1vw - 0.225rem) * 0.5769)), 2.8125rem);/*45 a 36*/
    min-height: 0vw;
    /*fix Safari*/
}

.et-boc h2,
.et-boc .subtitle-h2 {
    font-size: clamp(2rem, calc(2rem + ((1vw - 0.225rem) * 0.3846)), 2.375rem);/*38 a 32*/
    min-height: 0vw;
    /*fix Safari*/
}

.et-boc h3,
.et-boc .subtitle-h3 {
    font-size: clamp(1.875rem, calc(1.875rem + ((1vw - 0.225rem) * 0.2564)), 2.125rem);/*30 a 34*/
    min-height: 0vw;
    /*fix Safari*/
}

.et-boc h4,
.et-boc .subtitle-h4 {
    font-size: clamp(1.75rem, calc(1.75rem + ((1vw - 0.225rem) * 0.1282)), 1.875rem);/*30 a 28*/
    min-height: 0vw;
    /*fix Safari*/
}

.et-boc h5,
.et-boc .subtitle-h5 {
    font-size: clamp(1.5rem, calc(1.5rem + ((1vw - 0.225rem) * 0.2564)), 1.75rem);/*28 a 24*/
    min-height: 0vw;
    /*fix Safari*/
}

.et-boc h6,
.et-boc .subtitle-h6 {
    font-size: clamp(1.375rem, calc(1.375rem + ((1vw - 0.225rem) * 0.1282)), 1.5rem);/*24 a 22*/
    min-height: 0vw;
    /*fix Safari*/
}

body .et-boc {
    font-size: clamp(1.125rem, calc(1.125rem + ((1vw - 0.225rem) * 0.1282)), 1.25rem);/*20 a 18*/
    min-height: 0vw;
    /*fix Safari*/
}
body #main-content{   
    font-weight: 300;
}

#main-content .et-l ul li,
#main-content .et-l ol li {
    margin-bottom: 0.5rem;
}

.subtitle-400{
    font-weight: 400;
    letter-spacing: 0.2rem;
    line-height: 110%;
    
}

.txt-400 {
    font-weight: 400;
}

.txt-600 {
    font-weight: 600;
}

#main-content .et-l ul li::marker,
#main-content .et-l ol li::marker {
    color: var(--color-naranja);
}

/*------------------------------------------------*/
/*---------------- [COOKIES] -----------------*/
/*------------------------------------------------*/
#cmplz-manage-consent .cmplz-manage-consent {
    font-weight: bold;
    font-size: 1rem;
}

#cmplz-manage-consent .cmplz-manage-consent.cmplz-show:before {
    content: "";
    width: 40px;
    height: 40px;
    position: absolute;
    background: url(/wp-content/uploads/2023/09/icono-cookies.svg) #fff;
    background-size: 80%;
    background-repeat: no-repeat;
    background-position: center;
    top: -22px;
    left: 0px;
    border-radius: 100% 100% 0 0;
    -webkit-border-radius: 100% 100% 0 0;
    -moz-border-radius: 100% 100% 0 0;
    -ms-border-radius: 100% 100% 0 0;
    -o-border-radius: 100% 100% 0 0;
}

.cmplz-cookiebanner.cmplz-show:before {
    content: "";
    width: 80px;
    height: 80px;
    position: absolute;
    background: url(/wp-content/uploads/2023/09/icono-cookies.svg) #fff;
    background-size: 70%;
    background-repeat: no-repeat;
    background-position: center;
    top: -40px;
    left: 0;
    border-radius: 100% 100% 0 0;
    -webkit-border-radius: 100% 100% 0 0;
    -moz-border-radius: 100% 100% 0 0;
    -ms-border-radius: 100% 100% 0 0;
    -o-border-radius: 100% 100% 0 0;
}

#cmplz-document {
    max-width: 100%;
}

#cmplz-document p,
#cmplz-document li,
#cmplz-document td {
    font-size: 1.1rem;
}

/*------------------------------------------------*/
/*---------------- [FORMULARIOS] -----------------*/
/*------------------------------------------------*/
/*--- Estructura ---*/
.row_inputs {
    margin-bottom: 2.2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 2.2rem;
}

.col_inputs {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    -ms-flex-preferred-size: 200px;
    flex-basis: 200px;
}

/*--- Campos ---*/
.wpcf7-form-control-wrap .text,
.wpcf7-form-control-wrap .title,
.wpcf7-form-control-wrap input[type="email"],
.wpcf7-form-control-wrap input[type="password"],
.wpcf7-form-control-wrap input[type="tel"],
.wpcf7-form-control-wrap input[type="text"],
.wpcf7-form-control-wrap select,
.wpcf7-form-control-wrap textarea {
    font-weight: 300;
    font-size: 1.1rem;
    color: var(--color-gris-2);
    border-radius: 0;
    background-color: var(--color-blanco);
    width: 100%;
    border: 1px solid var(--color-negro);
    padding: 8px 15px;
}

/*autoprefixer:ignore next line*/
.wpcf7-form-control-wrap input::placeholder,
.wpcf7-form-control-wrap textarea::placeholder {
    color: var(--color-gris-2);
    font-style: italic;
}

.wpcf7-form-control-wrap input:focus,
.wpcf7-form-control-wrap select:focus,
.wpcf7-form-control-wrap textarea:focus {
    border: 1px solid var(--color-naranja);
    background-color: var(--color-gris-1);
}

.wpcf7-acceptance .wpcf7-list-item {
    display: inline-block;
    margin: 0;
    font-size: 0.8rem;
}

.wpcf7-list-item {
	font-size: 1rem;
}

.wpcf7-submit {
    color: var(--color-blanco);
    border-width: 0px;
    background-color: var(--color-gris-2);
    font-size: 1rem;
    font-weight: bold;
    padding: .3rem 1rem;
    text-transform: uppercase;
    -webkit-transition: all 300ms ease 0ms;
    -o-transition: all 300ms ease 0ms;
    transition: all 300ms ease 0ms;
}

.wpcf7-submit:hover , .wpcf7-submit:focus{
    color: var(--color-negro);
    background-color: var(--color-naranja);
}
.wpcf7-spinner {
    position: absolute;
}

.wpcf7-form label span.etiqueta {
    display: block;
    font-weight: 800;
    font-size: 1rem;
	line-height: 150%;
}

/*------------------------------------------------*/
/*--------------------[HEADER]-----------------------*/
/*------------------------------------------------*/

.menu-header .et_pb_menu__menu > nav > ul > li > a{
	padding: 10px 0;
}

.menu-header .mobile_menu_bar::before {
    background: var(--color-naranja);
    padding: 5px;
    border-radius: 100%;
}

@media (min-width:981px){
	.menu-header.et_pb_menu .sub-menu li a {
		font-size: 1rem;
	}
}

@media (max-width:980px) and (orientation: landscape) {
	header .et_mobile_menu {
		z-index: 999;
		overflow: overlay;
		overflow-y: scroll;
		max-height: 60vh;
	}
}

@media (max-width:980px) and (orientation: portrait) {
	header .et_mobile_menu {
		z-index: 9999999999999999999;
		overflow: overlay;
		height: 60vh !important;
		overflow-y: scroll;
	}
}

/*------------------------------------------------*/
/*---------------- [FOOTER] -----------------*/
/*------------------------------------------------*/
footer .menu-footer .et_pb_menu__menu > nav > ul {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

footer .menu-footer .et_pb_menu__menu > nav > ul > li {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.bloque-social {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 5px;
}

.bloque-social a {
    background: var(--color-negro);
    border-radius: 100px;
    padding: 10px;
    line-height: 0;
    -webkit-transition: all 300ms ease 0ms;
    -o-transition: all 300ms ease 0ms;
    transition: all 300ms ease 0ms;
}

.bloque-social a:hover {
    background: var(--color-naranja);
}

/*------------------------------------------------*/
/*--------------------[HOME]-----------------------*/
/*------------------------------------------------*/
/*** hero ***/
@media (min-width:981px) {
    .sec-hero {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: stretch;
        -ms-flex-align: stretch;
        align-items: stretch;
    }
    .sec-hero {
        position: relative;
    }
    .sec-hero::after {
        content: "";
        position: absolute;
        right: 0;
        width: 65vw;
        height: 120%;
        background: url(/wp-content/uploads/2023/09/furgoneta-mirallux.png);
        z-index: 3;
        visibility: unset;
        background-position: center right;
        background-repeat: no-repeat;
        background-size: contain;
    }
}



.anuncio-descuento {
  display: flex;
  align-items: center;
  gap: 24px;
  padding: 1vw;
  border: 1px solid var(--color-blanco);
  background: #f192012e;
  box-shadow: 0 0 20px #f8f8f836;
	flex-wrap: nowrap;
}

.anuncio-descuento img {
	flex-grow: 0;
	flex-shrink: 1;
	width: 75%;
	max-width: 180px;
}

.anuncio-descuento .content {
  flex-shrink: 1;
}

.anuncio-descuento .content h2, 
.anuncio-descuento .content,
.anuncio-descuento .content a{
	color: var(--color-blanco);
}

.shake {
  animation: shake 10s ease infinite;
}
@keyframes shake {
  30% { transform: scale(1.1); }
  40%, 60% { transform: rotate(-20deg) scale(1.2); }
  50% { transform: rotate(20deg) scale(1.2); }
  70% { transform: rotate(0deg) scale(1.2); }
  100% { transform: scale(1); }
}

/*** reviews ***/
.carrusel-opiniones .dica_divi_carouselitem {
    background-color: var(--color-blanco);
    padding: 45px;
}

.dica_divi_carousel.carrusel-opiniones .dica_divi_carouselitem .dica-image-container {
    text-align: left !important;
    margin-bottom: 20px;
}

.carrusel-opiniones .dica_divi_carouselitem .dica-item-content {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
            flex-direction: column-reverse;
    row-gap: 24px;
	justify-content: flex-end;
}

.carrusel-opiniones .dica_divi_carouselitem .item-subtitle {
    color: #7E7E7E;
    font-family: Lato;
    font-size: 1.3rem !important;
    font-style: normal;
    font-weight: 300;
    line-height: 150%;
    position: relative;
    margin-left: 30px;
    text-transform: unset;
}

.carrusel-opiniones .dica_divi_carouselitem .item-subtitle:before {
    content: "";
    width: 14px;
    height: 2px;
    background-color: #7E7E7E;
    position: absolute;
    top: 1rem;
    left: -30px;
}
.carrusel-opiniones .swiper-button-next::before,
.carrusel-opiniones .swiper-button-prev::before {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.carrusel-opiniones .swiper-button-next::before {
    background-image: url(/wp-content/uploads/2023/09/flecha-derecha.svg);
}

.carrusel-opiniones .swiper-button-prev::before {
    background-image: url(/wp-content/uploads/2023/09/flecha-izquierda.svg);
}


/*------------------------------------------------*/
/*--------------------[TARIFICADOR]-----------------------*/
/*------------------------------------------------*/
#tarificador_form .row{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 1rem;
        margin-bottom: 1rem;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
	justify-content: flex-start;
}


#tarificador_form .fieldset {
	-webkit-box-flex: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-ms-flex-preferred-size: 200px;
	flex-basis: 200px;
}

#tarificador_form label {
	display: block;
	font-weight: 600;
	font-size: 0.8rem;
	line-height: 150%;
	margin-bottom: 4px;
}

#tarificador_form input, #tarificador_form select, #tarificador_form textarea {
  font-weight: 400;
  font-size: 1rem;
  color: var(--color-gris-2);
  border-radius: 0;
  background-color: var(--color-blanco);
  width: 100%;
  border: 1px solid var(--color-negro);
  padding:0.5rem 1.1rem;
}

#tarificador_form button {
    color: var(--color-blanco);
    border-width: 0px;
    background-color: var(--color-gris-2);
    font-size: 1rem;
    font-weight: bold;
    padding: .55rem 1rem;
    text-transform: uppercase;
    -webkit-transition: all 300ms ease 0ms;
    -o-transition: all 300ms ease 0ms;
    transition: all 300ms ease 0ms;
}

#tarificador_form button:hover , #tarificador_form button:focus{
    color: var(--color-negro);
    background-color: var(--color-naranja);
}

.resultadoTarificador {
  font-size: 1.2rem;
  font-weight: 400;
  margin-top: 32px;
  margin-bottom: 16px;
  padding: 0.5em 2em;
  border: 1px solid var(--color-naranja);
  width: fit-content;
}
.precioTarifa {
  font-size: 1.2em;
  font-weight: 800;
}

.btnComprar button{
    border-width: 0px;
    background-color: var(--color-gris-2);
    font-size: 1.25rem;
    font-weight: bold;
    padding: .6rem 1.3rem;
    text-transform: uppercase;
    -webkit-transition: all 300ms ease 0ms;
    -o-transition: all 300ms ease 0ms;
    transition: all 300ms ease 0ms;
}

.btnComprar button a{
   color: var(--color-blanco);
}

.btnComprar button a:hover , .btnComprar button a:focus{
    color: var(--color-negro);
}

.btnComprar button:hover , .btnComprar button:focus{
    background-color: var(--color-naranja);
}

.product .cart {
	display: flex;
	gap: 24px;
	justify-content: center;
	align-items: flex-end !important;
  flex-wrap: wrap;
}
.product .cart .nyp {
	width: 100%;
	margin-bottom: 0;
}

.product .cart .nyp .nyp-input {
	font-weight: 400;
	font-size: 1rem;
	color: var(--color-gris-2);
	border-radius: 0;
	background-color: var(--color-blanco);
	border: 1px solid var(--color-negro);
	padding: 8px 15px;
	margin:8px auto 0;
	display: block;

}

.woocommerce .quantity input.qty {
	padding: 9px 10px;
}

.woocommerce div.product form.cart div.quantity, .woocommerce-page div.product form.cart div.quantity{
	margin:0;
}

/*------------------------------------------------*/
/*--------------------[RWD]-----------------------*/
/*------------------------------------------------*/

@media (max-width:1480px) and (min-width:981px) {
/*** HEADER ***/
   header .sec-header .menu-header.et_pb_menu ul li a {font-size: 0.9rem;}
   header .sec-header .menu-header.et_pb_menu .et_pb_menu_inner_container > .et_pb_menu__logo-wrap{max-width:200px;}
}

@media (max-width:1480px) {
/*** GENERAL ***/
    .et_pb_row{width:90%; }
}

@media (max-width:980px) {
/*** FOOTER ***/
    footer .row-footer .et_pb_column{width: 100%!important;}
    footer .menu-footer.et_pb_menu .et_pb_menu__wrap {    -webkit-box-pack: center;    -ms-flex-pack: center;    justify-content: center;}
    footer .menu-footer.et_pb_menu .et_pb_menu__menu {    display: -webkit-box;    display: -ms-flexbox;    display: flex;}
    footer .menu-footer.et_pb_menu .et_mobile_nav_menu {     display: none; }
    footer .menu-footer.et_pb_menu .et_pb_menu__menu li {-webkit-box-pack: start;-ms-flex-pack: start;justify-content: flex-start; width: 100%;}
}

@media (max-width:768px) {
/*** TIPOGRAFÍAS ***/
    h1, h2, h3, h4, h5, h6, .subtitle-400, et_pb_module_header {letter-spacing: 2px;}
    .tx-res-small {font-size: 1.8rem !important;}
}

@media (max-width:530px) {
/*** HOME ***/
    .anuncio-descuento {  flex-wrap: wrap;  justify-content: center; text-align: center;}
}